datacache <- new.env(hash=TRUE, parent=emptyenv())

mgug4120a <- function() showQCData("mgug4120a", datacache)
mgug4120a_dbconn <- function() dbconn(datacache)
mgug4120a_dbfile <- function() dbfile(datacache)
mgug4120a_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mgug4120a_dbInfo <- function() dbInfo(datacache)

mgug4120aORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mgug4120a.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "mgug4120a", "chip mgug4120a", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mgug4120a_dbconn())
}

